OGRE-Next: Ogre::Volume::ChunkHandler Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::Volume::ChunkHandler Class Reference

Handles the WorkQueue management of the chunks. More...

`#include <OgreVolumeChunkHandler.h>`

Inheritance diagram for Ogre::Volume::ChunkHandler:
[legend]

## Public Member Functions
| ChunkHandler ()
| Constructor.
virtual | ~ChunkHandler ()
| Destructor.
void | addRequest (const ChunkRequest &req)
| Adds a new ChunkRequest to be loaded to the WorkQueue.
WorkQueue::Response * | handleRequest (const WorkQueue::Request *req, const WorkQueue *srcQ)
| Implementation for WorkQueue::RequestHandler.
void | handleResponse (const WorkQueue::Response *res, const WorkQueue *srcQ)
| Implementation for WorkQueue::ResponseHandler.
void | processWorkQueue ()
| Calls the process-update of the WorkQueue so it doesn't block.
Public Member Functions inherited from Ogre::WorkQueue::RequestHandler
| RequestHandler ()
virtual | ~RequestHandler ()
virtual bool | canHandleRequest (const Request *req, const WorkQueue *srcQ)
| Return whether this handler can process a given request.
Public Member Functions inherited from Ogre::WorkQueue::ResponseHandler
| ResponseHandler ()
virtual | ~ResponseHandler ()
virtual bool | canHandleResponse (const Response *res, const WorkQueue *srcQ)
| Return whether this handler can process a given response.

## Detailed Description

Handles the WorkQueue management of the chunks.

## Constructor & Destructor Documentation

## ◆ ChunkHandler()

Ogre::Volume::ChunkHandler::ChunkHandler | ( |  | ) |

Constructor.

## ◆ ~ChunkHandler()

virtual Ogre::Volume::ChunkHandler::~ChunkHandler | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ addRequest()

void Ogre::Volume::ChunkHandler::addRequest | ( | const ChunkRequest & | req | ) |

Adds a new ChunkRequest to be loaded to the WorkQueue.

Parameters

  req | The ChunkRequest.

## ◆ handleRequest()

WorkQueue::Response * Ogre::Volume::ChunkHandler::handleRequest | ( | const WorkQueue::Request * | req,
|  | const WorkQueue * | srcQ )
| virtual

Implementation for WorkQueue::RequestHandler.

Implements Ogre::WorkQueue::RequestHandler.

## ◆ handleResponse()

void Ogre::Volume::ChunkHandler::handleResponse | ( | const WorkQueue::Response * | res,
|  | const WorkQueue * | srcQ )
| virtual

Implementation for WorkQueue::ResponseHandler.

Implements Ogre::WorkQueue::ResponseHandler.

## ◆ processWorkQueue()

void Ogre::Volume::ChunkHandler::processWorkQueue | ( |  | ) |

Calls the process-update of the WorkQueue so it doesn't block.

The documentation for this class was generated from the following file:

- OgreVolumeChunkHandler.h